#!/usr/bin/env sh
{%- for sbatch_option in experiment.sbatch_options %}
#SBATCH {{ sbatch_option }}
{%- endfor %}
set -e
cd {{ experiment.experiment_scratch_dir }}
{%- for module_name in experiment.modules_to_load %}
module load {{ module_name }}
{%- endfor %}
{%- if experiment.after_module_load_cmd %}
{{ experiment.after_module_load_cmd }}
{%- endif %}
{%- for env_key, env_value in experiment.env.items() %}
export {{ env_key }}={{ env_value }}
{%- endfor %}
{%- if experiment.venv %}
if [ ! -f {{ experiment.venv }}/bin/activate ]; then
    echo "==============================================="
    echo "Virtual env does not exists. Trying to setup"
    echo "Works only with python3"
    python3 -m venv {{ experiment.venv }}
    echo "==============================================="
fi
source {{ experiment.venv }}/bin/activate
{%- if experiment.requirements_file %}
pip install -r {{ experiment.requirements_file }}
{%- endif %}
{%- endif %}
{% set mpi_prefix = 'mpiexec ' if experiment.with_mpi else '' %}
{% set sif_prefix = 'singularity exec %s ' % experiment.singularity_container if experiment.singularity_container else '' %}
{{ mpi_prefix }}{{ sif_prefix }}{{ experiment.cmd.command }}
